E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
GSsl::MbedTls::ProfileImp Class Reference

An implementation of the GSsl::Profile interface for mbedtls. More...

`#include <gssl_mbedtls.h>`

Inheritance diagram for GSsl::MbedTls::ProfileImp:

## Public Types
typedef MbedTls::Key | Key
typedef MbedTls::Error | Error
typedef MbedTls::Certificate | Certificate

## Public Member Functions
| ProfileImp (const LibraryImp &library_imp, bool is_server, const std::string &key_file, const std::string &cert_file, const std::string &ca_file, const std::string &default_peer_certificate_name, const std::string &default_peer_host_name, const std::string &profile_config)
virtual ProtocolImpBase * | newProtocol (const std::string &, const std::string &) const override
| Factory method for a new Protocol object on the heap.
const mbedtls_ssl_config * | config () const
mbedtls_x509_crl * | crl () const
void | logAt (int level_out, std::string) const
const std::string & | defaultPeerCertificateName () const
const std::string & | defaultPeerHostName () const
Public Member Functions inherited from GSsl::Profile
virtual | ~Profile ()
| Destructor.

## Detailed Description

An implementation of the GSsl::Profile interface for mbedtls.

Definition at line 248 of file gssl_mbedtls.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_mbedtls.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_mbedtls.cpp